Contacts
List contacts
GET
/
v1
/
contacts
List contacts
curl --request GET \
--url https://api.wazapin.com/v1/contacts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"acquisition_campaign": "<string>",
"acquisition_medium": "<string>",
"acquisition_source": "<string>",
"average_order_value": "<string>",
"created_at": "<string>",
"custom_fields": "<unknown>",
"email": "<string>",
"engagement_score": 123,
"external_id": "<string>",
"external_source": "<string>",
"first_conversation_at": "<string>",
"first_message_at": "<string>",
"first_name": "<string>",
"first_purchase_at": "<string>",
"first_response_at": "<string>",
"first_seen_at": "<string>",
"id": "<string>",
"last_activity_at": "<string>",
"last_inbound_message_at": "<string>",
"last_name": "<string>",
"last_outbound_message_at": "<string>",
"last_purchase_at": "<string>",
"lifecycle_stage_changed_at": "<string>",
"lifecycle_stage_id": "<string>",
"lifetime_value": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"organization_id": "<string>",
"phone_number": "<string>",
"profile_pic_url": "<string>",
"rfm_frequency": 123,
"rfm_monetary": 123,
"rfm_recency": 123,
"rfm_score": "<string>",
"rfm_segment": "<string>",
"total_orders": 123,
"updated_at": "<string>"
}
],
"meta": {
"has_more": true,
"limit": 123,
"cursor": "<string>",
"offset": 123,
"total": 123
}
}Authorizations
bearerAuthapiKeyAuth
Session token or API key
Query Parameters
Search by name, email, phone, first_name, or last_name
Results per page
Required range:
1 <= x <= 100Offset for pagination
Required range:
x >= 0Sort contacts by newest or name
Available options:
newest, name ⌘I
List contacts
curl --request GET \
--url https://api.wazapin.com/v1/contacts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"acquisition_campaign": "<string>",
"acquisition_medium": "<string>",
"acquisition_source": "<string>",
"average_order_value": "<string>",
"created_at": "<string>",
"custom_fields": "<unknown>",
"email": "<string>",
"engagement_score": 123,
"external_id": "<string>",
"external_source": "<string>",
"first_conversation_at": "<string>",
"first_message_at": "<string>",
"first_name": "<string>",
"first_purchase_at": "<string>",
"first_response_at": "<string>",
"first_seen_at": "<string>",
"id": "<string>",
"last_activity_at": "<string>",
"last_inbound_message_at": "<string>",
"last_name": "<string>",
"last_outbound_message_at": "<string>",
"last_purchase_at": "<string>",
"lifecycle_stage_changed_at": "<string>",
"lifecycle_stage_id": "<string>",
"lifetime_value": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"organization_id": "<string>",
"phone_number": "<string>",
"profile_pic_url": "<string>",
"rfm_frequency": 123,
"rfm_monetary": 123,
"rfm_recency": 123,
"rfm_score": "<string>",
"rfm_segment": "<string>",
"total_orders": 123,
"updated_at": "<string>"
}
],
"meta": {
"has_more": true,
"limit": 123,
"cursor": "<string>",
"offset": 123,
"total": 123
}
}